import logging
import logging.config

LOGGING = {
    'version': 1,
    'incremental': False,
    'disable_existing_loggers': False,
    'loggers': {
        'aperiot': {
            'level':     'DEBUG',
            'propagate': True,
            'handlers':  ['aperiot_logfile', 'aperiot_console']
        }
    },
    'handlers': {
        'aperiot_logfile': {
            'class':        'logging.handlers.RotatingFileHandler',
            'level':        'DEBUG',
            'formatter':    'precise',
            'filename':     '/tmp/aperiot.log', 
            'maxBytes':     65536,
            'backupCount':  4
        },
        'aperiot_console': {
            'class':        'logging.StreamHandler',
            'level':        'WARNING',
            'formatter':    'brief'
        }
    },
    'formatters': {
        'brief':   { 'format': '%(levelname)s: %(message)s' },
        'precise': { 'format': '%(asctime)s %(levelname)-8s: %(name)-30s %(module)-20s %(funcName)-25s (%(lineno)5d): %(message)s' }
    }
}

logging.config.dictConfig(LOGGING)

logger = logging.getLogger(__name__)

VERSION = '0.2.1'
