#! python
"""
Author: Ernesto Posse
Created on: July 31, 2006

Description:
    This script is used to generate the parser for the metacfg, this is, the parser for .apr files, and bootstrap it.
    The user of the package does not normally need to use this script. Use this script only if you want to change the syntax of the .cfg files, and at your own risk.
"""

import logging
import os.path

import aperiot
from aperiot.parsergen import build_parser, save_parser

logger = logging.getLogger('aperiot')

dir = os.path.abspath(aperiot.__path__[0])

logger.info("Building base metacfg")

cfg_description_module = 'metacfg_wat'
parser1 = build_parser(cfg_description_module)
save_parser(parser1, dir, cfg_description_module)

logger.info("Building bootstrapped metacfg")

cfg_description_module = 'metacfg_bootstrap'
parser2 = build_parser(cfg_description_module)
save_parser(parser2, dir, cfg_description_module)

logger.info("Setup completed")
