#! python
"""
Author: Ernesto Posse
Created on: July 6, 2006

Description:
    This script is used to generate the parser for the metacfg, this is, the parser for .cfg files.
    The user of the package does not normally need to use this script. Use this script only if you want to change the syntax of the .cfg files, and at your own risk.
"""

import logging
import os.path

import aperiot
from aperiot.parsergen import build_parser,save_parser

logger = logging.getLogger('aperiot')
dir = os.path.abspath(aperiot.__path__[0])
logger.info("Creating metacfg_wat in " + dir)
cfg_description_module = 'metacfg_wat'
parser = build_parser(cfg_description_module)
logger.info("Parser for metacfg_wat generated")
save_parser(parser, dir, cfg_description_module)
logger.info("Parser for metacfg_wat saved")
